summaryrefslogtreecommitdiffstats
path: root/scripts/oe-time-dd-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/oe-time-dd-test.sh')
-rwxr-xr-xscripts/oe-time-dd-test.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/scripts/oe-time-dd-test.sh b/scripts/oe-time-dd-test.sh
index 970a86dff0..5b25e6bd97 100755
--- a/scripts/oe-time-dd-test.sh
+++ b/scripts/oe-time-dd-test.sh
@@ -13,11 +13,16 @@ usage() {
echo "Usage: $0 <count>"
}
+TIMEOUT=5
+
if [ $# -ne 1 ]; then
usage
exit 1
fi
uptime
-/usr/bin/time -f "%e" dd if=/dev/zero of=foo bs=1024 count=$1 conv=fsync
-top -b -n 1 | grep -v "0 0 0" | grep -E ' [RSD] ' | cut -c 46-47 | sort | uniq -c
+timeout ${TIMEOUT} dd if=/dev/zero of=oe-time-dd-test.dat bs=1024 count=$1 conv=fsync
+if [ $? -ne 0 ]; then
+ echo "Timeout used: ${TIMEOUT}"
+ top -c -b -n1 -w 512
+fi